echo off
cls
rem ********************************************************************
rem
rem    Omega Point/2 Bulletin Board System
rem    Copyright (c) ExcelSoft 1991
rem    Startup CMD File, version 1.1
rem    cab  13mar90
rem    cab   2feb91
rem
rem ******************************************************************** 
echo Omega Point/2 Bulletin Board Software
echo Startup Batch File
echo Copyright (c) ExcelSoft Software 1990
rem *******
:START
echo Loading Main Program...
bbs
if errorlevel 99 goto PROTVIOL
if errorlevel 98 goto PGMTERMINATE
if errorlevel 97 goto HARDERROR
if errorlevel 96 goto PIPEEXIT
if errorlevel 95 goto TIMERQUIT
if errorlevel 94 goto SYSOPRESET
goto USEREXIT
rem
rem  This code will be called if the user terminated the program
rem  normally.
rem
:USEREXIT
echo BBS Terminated Normally By User. Exiting...
goto END
rem
rem  PROTVIOL - executed if the main program is terminated due
rem  to an OS/2 protection violation.
rem
:PROTVIOL
echo BBS Terminated Due To Protection Fault. Restarting...
goto START
rem
rem  PGMTERMINATE - executed if program terminated by parent, most
rem  often the PM desktop
rem
:PGMTERMINATE
echo BBS Terminated By Parent Process. Exiting...
goto END
rem
rem  HARDERROR - program terminated due to a hardware failure, such
rem  as disk not ready. Batch file aborts on this error.
rem
:HARDERROR
echo BBS Terminated Due To Hardware Error. Aborting.
goto END
:PIPEEXIT
rem *** This code is executed when BBSSEND.EXE is used to send an
rem *** exit request to the BBS. You may want to set this up
rem *** to either exit the BBS, or recycle.
goto END
:TIMERQUIT
echo BBS Terminated By Timer...
rem *** This code is executed when the BBS is started with the
rem *** "-s time" option. It can either be used to terminate the
rem *** bbs, or to restart it. Example: BBS -s 0300  would cause
rem *** the bbs to exit at 3am and execute this section of code..
goto START
:SYSOPRESET
echo BBS Terminated by SysopReset...
rem *** called when MCF function SYSOPRESET is executed. Can be
rem *** by used by remote sysops to reset the system.
goto START
:END

